POST Enter Matchmaking Queue
https://glz-{region}-1.{shard}.a.pvp.net/parties/v1/parties/{party id}/matchmaking/join Enter the matchmaking queue for the party
Headers
-
X-Riot-ClientPlatform: {client platform} -
X-Riot-ClientVersion: {client version} -
X-Riot-Entitlements-JWT: {entitlement token} -
Authorization: Bearer {auth token}
URL Parameters
-
{region}There are 6 regions:
Obtaining locally:Region ID Region Name naNorth America latamLatin America brBrazil euEurope apAsia Pacific krKorea The region can be found in the ShooterGame log (
Obtaining remotely:%LocalAppData%\VALORANT\Saved\Logs\ShooterGame.log) when it's used in an endpoint url.
Example regex capturing region and shard:https://glz-(.+?)-1.(.+?).a.pvp.netUse the Riot Geo endpoint with the ID and auth tokens from Cookie Reauth
-
{party id}A party ID. The ID of the current party can be found from the Party Player endpoint.
Other Variables
-
client platformA string representing the platform of the client. Base-64 encoded JSON with the following fields:
{ "platformType": "PC", "platformOS": "Windows", "platformOSVersion": "10.0.19042.1.256.64bit", "platformChipset": "Unknown" }ew0KCSJwbGF0Zm9ybVR5cGUiOiAiUEMiLA0KCSJwbGF0Zm9ybU9TIjogIldpbmRvd3MiLA0KCSJwbGF0Zm9ybU9TVmVyc2lvbiI6ICIxMC4wLjE5MDQyLjEuMjU2LjY0Yml0IiwNCgkicGxhdGZvcm1DaGlwc2V0IjogIlVua25vd24iDQp9is a value that works. -
client version -
entitlement tokenCan be obtained locally with the Entitlements Token endpoint or remotely using Riot auth and the Entitlement endpoint -
auth tokenCan be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Response
type EnterMatchmakingQueueResponse = {
/** Party ID */
ID: string;
MUCName: string;
VoiceRoomID: string;
Version: number;
ClientVersion: string;
Members: {
/** Player UUID */
Subject: string;
CompetitiveTier: number;
PlayerIdentity: {
/** Player UUID */
Subject: string;
/** Card ID */
PlayerCardID: string;
/** Title ID */
PlayerTitleID: string;
AccountLevel: number;
/** Preferred Level Border ID */
PreferredLevelBorderID: string | "";
Incognito: boolean;
HideAccountLevel: boolean;
};
SeasonalBadgeInfo: null;
IsOwner?: boolean | undefined;
QueueEligibleRemainingAccountLevels: number;
Pings: {
Ping: number;
GamePodID: string;
}[];
IsReady: boolean;
IsModerator: boolean;
UseBroadcastHUD: boolean;
PlatformType: "PC";
}[];
State: string;
PreviousState: string;
StateTransitionReason: string;
Accessibility: "OPEN" | "CLOSED";
CustomGameData: {
Settings: {
/** Map ID */
Map: string;
/** Game Mode */
Mode: string;
UseBots: boolean;
GamePod: string;
GameRules: {
AllowGameModifiers?: string | undefined;
IsOvertimeWinByTwo?: string | undefined;
PlayOutAllRounds?: string | undefined;
SkipMatchHistory?: string | undefined;
TournamentMode?: string | undefined;
} | null;
};
Membership: {
teamOne: {
/** Player UUID */
Subject: string;
}[] | null;
teamTwo: {
/** Player UUID */
Subject: string;
}[] | null;
teamSpectate: {
/** Player UUID */
Subject: string;
}[] | null;
teamOneCoaches: {
/** Player UUID */
Subject: string;
}[] | null;
teamTwoCoaches: {
/** Player UUID */
Subject: string;
}[] | null;
};
MaxPartySize: number;
AutobalanceEnabled: boolean;
AutobalanceMinPlayers: number;
HasRecoveryData: boolean;
};
MatchmakingData: {
/** Queue ID */
QueueID: string;
PreferredGamePods: string[];
SkillDisparityRRPenalty: number;
};
Invites: null;
Requests: unknown[];
/** Date in ISO 8601 format */
QueueEntryTime: string;
ErrorNotification: {
ErrorType: string;
ErroredPlayers: {
/** Player UUID */
Subject: string;
}[] | null;
};
RestrictedSeconds: number;
EligibleQueues: string[];
QueueIneligibilities: string[];
CheatData: {
GamePodOverride: string;
ForcePostGameProcessing: boolean;
};
XPBonuses: unknown[];
/** Empty string when there is no invite code */
InviteCode: string;
}; {
"ID": "11Af9c39-f3f8-c17C-6fb5-b23f07bBC53a",
"MUCName": "summisse",
"VoiceRoomID": "velum",
"Version": 5455043898003820,
"ClientVersion": "tardus",
"Members": [
{
"Subject": "54aec4a3-4eeB-6F4e-75B9-c2Fac6c5D3dA",
"CompetitiveTier": 645747134016370,
"PlayerIdentity": {
"Subject": "AbDdc5CE-c6D0-CD1E-adf2-EcC256dFc29E",
"PlayerCardID": "ACE673f1-Ecfc-5dCA-06a6-81DAC9150dEA",
"PlayerTitleID": "dE3cD3Bb-5BCB-Cffe-eFD6-9ABf0c21db0c",
"AccountLevel": 496419771818506,
"PreferredLevelBorderID": "",
"Incognito": false,
"HideAccountLevel": false
},
"SeasonalBadgeInfo": null,
"IsOwner": false,
"QueueEligibleRemainingAccountLevels": 7111273535186623,
"Pings": [
{
"Ping": 3005408895708111,
"GamePodID": "arceo"
}
],
"IsReady": true,
"IsModerator": true,
"UseBroadcastHUD": true,
"PlatformType": "PC"
}
],
"State": "astrum",
"PreviousState": "cena",
"StateTransitionReason": "aranea",
"Accessibility": "CLOSED",
"CustomGameData": {
"Settings": {
"Map": "arcesso",
"Mode": "cavus",
"UseBots": false,
"GamePod": "tribuo",
"GameRules": {
"AllowGameModifiers": false,
"IsOvertimeWinByTwo": false,
"PlayOutAllRounds": false,
"SkipMatchHistory": false,
"TournamentMode": false
}
},
"Membership": {
"teamOne": [
{
"Subject": "cBc7Bf29-256C-17d1-b7ce-3D4D7b8315F0"
},
{
"Subject": "837eAbcF-F4EF-19f6-b50a-887Bcef46F4b"
}
],
"teamTwo": [
{
"Subject": "dF5Ff82B-7BB9-6FBc-Fec6-cDB837eFE4EB"
},
{
"Subject": "FB8Bb7ac-EbaD-C2b7-823E-b44DE2f41ADe"
},
{
"Subject": "5Da6fB24-c0CD-39aC-5EE6-c892b2aBe6e3"
},
{
"Subject": "a7aC641A-3Bd9-48B3-9D55-Af7Ce0ACB3b8"
},
{
"Subject": "a82cbD8C-B9fa-194d-1DFC-72b331Fe03C1"
}
],
"teamSpectate": [
{
"Subject": "4cF27925-aaBC-b29B-cf7A-2fF7fc62C2De"
}
],
"teamOneCoaches": [
{
"Subject": "61EEe9E6-669c-DB17-6EBF-ADF4Ee34D0Ad"
}
],
"teamTwoCoaches": [
{
"Subject": "1F2d04CD-197F-b884-BA9B-25D2b0B4FDA4"
},
{
"Subject": "34bbD099-640F-C67B-93ca-5dC71bEA90F3"
},
{
"Subject": "02dEeCE4-7FCB-d545-698b-3DeCf3D14fa3"
},
{
"Subject": "2ddfB8c8-4e72-DfD6-0DEe-f5E4DEC1F1f7"
},
{
"Subject": "6b9d0DcA-836b-42eC-1aD8-fAaF84C1dB5f"
}
]
},
"MaxPartySize": 7564156224839285,
"AutobalanceEnabled": true,
"AutobalanceMinPlayers": 5934185598967341,
"HasRecoveryData": true
},
"MatchmakingData": {
"QueueID": "thalassinus",
"PreferredGamePods": [
"campana",
"ab"
],
"SkillDisparityRRPenalty": 2085904746190276
},
"Invites": null,
"Requests": [
null
],
"QueueEntryTime": "2026-06-06T04:23:30.831Z",
"ErrorNotification": {
"ErrorType": "sui",
"ErroredPlayers": [
{
"Subject": "dF8F3571-fdCa-BfEc-ba4a-42efFe8219F7"
},
{
"Subject": "EEca2aFc-B35e-e6Ec-dCa5-aa2a0ADE06Af"
}
]
},
"RestrictedSeconds": 4608892329092237,
"EligibleQueues": [
"desparatus",
"tego",
"tenus",
"tantum"
],
"QueueIneligibilities": [
"summa",
"demitto",
"concedo",
"caecus",
"thorax"
],
"CheatData": {
"GamePodOverride": "cernuus",
"ForcePostGameProcessing": false
},
"XPBonuses": [
null,
null
],
"InviteCode": "speciosus"
}